[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TPROCESS.Suspend

Suspend a running process

## Declaration

Source position: processbody.inc line 118

`public function TPROCESS.Suspend: Integer; virtual;`

## Function result

0 on success, nonzero otherwise.

## Description

Suspend suspends a running process. If the call is successful, the process is suspended: it stops running, but can be made to execute again using the Resume call.

Suspend is fundamentally different from TProcess.Terminate which actually stops the process.

## Errors

On error, a nonzero result is returned.

## See also

TProcess.Options |  | Options to be used when starting the process.
TProcess.Resume |  | Resume execution of a suspended process
TProcess.Terminate |  | Terminate a running process
TProcess.Execute |  | Execute the program with the given options